Loading...
Searching...
No Matches
Opm::VcfvStencil< Scalar, GridView >::SubControlVolume Struct Reference

finite volume intersected with element More...

`#include <vcfvstencil.hh>`

## Public Member Functions

const GlobalPosition & | globalPos () const
const GlobalPosition | center () const
Scalar | volume () const
const ScvLocalGeometry & | localGeometry () const
const ScvGeometry & | geometry () const

## Public Attributes

LocalPosition | local
| local vertex position
GlobalPosition | global
| global vertex position
Scalar | volume_
| space occupied by the sub-control volume
ScvGeometry | geometry_
| The geometry of the sub-control volume in local coordinates.
Dune::FieldVector< DimVector, maxNC > | gradCenter
| derivative of shape function at the center of the sub control volume

## Detailed Description

template<class Scalar, class GridView>
struct Opm::VcfvStencil< Scalar, GridView >::SubControlVolume

finite volume intersected with element

The documentation for this struct was generated from the following file:

- opm/models/discretization/vcfv/vcfvstencil.hh